
Redmine - Feature #10927
Add a filter on the "Issues" page to hide subtasks
2012-05-15 15:37 - Nicolas Jolet

Status: Closed Start date:
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Issues planning Estimated time: 0.00 hour
Target version:
Resolution: Duplicate
Description

I would find useful to add a filter to hide subtasks in the issue list.
This could help to limit the issue list size, specially if you use subtasks a lot.

This could be also interesting to add a marker that indicates that a task has subtasks.

Related issues:
Duplicates Redmine - Feature # 9992: Ability to filter issue subtasks in issu... New

History
#1 - 2012-05-24 03:22 - Ewan Makepeace

What you need here would be "AND ParentTask IS NULL" as one of the filter options - currently although you can display the parentTask column, you
cant filter on it.

I believe these are related tasks: #10553, #10559
Maybe related: #9992 (could be resolved with AND ParentTask = <someID>  filter)

#2 - 2012-09-10 14:06 - Mikhail Sviridov
Yes, it will be great! If I'm goint to set priorities for tasks and set sorting by priority I can't see which tasks are the subtasks and which are not. I think
priorities are significant only on the same nesting level not across nesting levels. But now I can set priority in such way:
    -  task 1 (high)
    -  task 2 (low)
        -  subtask 1 (urgent)
        -  subtask 2 (critical)
    -  task 3 (urgent)
And I have some ambiguity:
I need to work on tasks in such order
    -  subtask 2
    -  task 3
    -  subtask 1
    -  task 1
    -  priority for task 2 is not significant!
or in such order
    -  task 3
    -  task 1
    -  task 2
        -  subtask 2
        -  subtask 1

I think the second will be correct. That is priority takes place only for items in group!
May be it depends on used workflow.
If I want to fix some subissue while the parent issue has low priority or is blocked I can simply move this subissue to another parent issue or to move it
one level up.

What do you think about it?

#3 - 2012-12-10 17:04 - Zube Zahn

+1

#4 - 2013-01-16 10:47 - Daniel Felix
- Category set to Issues planning
- Status changed from New to Closed
- Resolution set to Duplicate

This one could be closed as duplicate of #9992.

#5 - 2015-02-12 01:27 - Bryn Jeffries

+1 This would be a very useful feature.

Also, this is not a duplicate, although #9992 could be used as a means of achieving this. I suggest this be changed to related to or depends on.

#6 - 2015-03-12 15:33 - Toshi MARUYAMA

Bryn Jeffries wrote:

+1 This would be a very useful feature.

Also, this is not a duplicate, although #9992 could be used as a means of achieving this. I suggest this be changed to related to or depends on.

See #9992#note-8.
